Runtime

## org.eclipse.gmf.runtime.diagram.ui.view.factories
Class ResizableCompartmentViewFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
          org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
              org.eclipse.gmf.runtime.diagram.ui.view.factories.ResizableCompartmentViewFactory

All Implemented Interfaces:
  ViewFactory

Direct Known Subclasses:
  ListCompartmentViewFactory

public class ResizableCompartmentViewFactory
extends BasicNodeViewFactory

The factory class responsible for creating the Resizable Compartment View

Constructor Summary
`ResizableCompartmentViewFactory()`

Method Summary
`protected java.util.List` `createStyles(View view)` creates styles for the passed view and return them as List; the returned list could be empty if the view does not need any style

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
`createLayoutConstraint, createNode, createView, decorateView, isUnProtectedSilentTransactionInProgress`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
`getEditingDomain, getPreferencesHint, getViewService, initializeFromPreferences, requiresElement, requiresElement, setPreferencesHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResizableCompartmentViewFactory

    public ResizableCompartmentViewFactory()

Method Detail

### createStyles

    protected java.util.List createStyles(View view)

  Description copied from class: `AbstractViewFactory`
  creates styles for the passed view and return them as List; the returned list could be empty if the view does not need any style

  Overrides:
    `createStyles` in class `AbstractViewFactory`
  Returns:
    a list of style for the newly created view or an empty list if none (do not return null)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.